import XMLMindmapSerializer from './XMLMindmapSerializer';
import Mindmap from '../model/Mindmap';
declare class Pela2TangoMigrator implements XMLMindmapSerializer {
    private _pelaSerializer;
    private _tangoSerializer;
    constructor(pelaSerializer: XMLMindmapSerializer);
    toXML(mindmap: Mindmap): Document;
    loadFromDom(dom: Document, mapId: string): Mindmap;
    private _fixOrder;
    private _fixPosition;
    private _fixNodePosition;
}
export default Pela2TangoMigrator;
